paso::Preconditioner_LocalAMG Struct Reference

Local AMG preconditioner. More...

`#include <Preconditioner.h>`

## Public Attributes

dim_t | level
SparseMatrix_ptr | A_C
SparseMatrix_ptr | P
SparseMatrix_ptr | R
Preconditioner_LocalSmoother * | Smoother
int | post_sweeps
int | pre_sweeps
index_t | reordering
int | refinements
double * | r
double * | x_C
double * | b_C
struct Preconditioner_LocalAMG * | AMG_C

## Detailed Description

Local AMG preconditioner.

## Member Data Documentation

## A_C

SparseMatrix_ptr paso::Preconditioner_LocalAMG::A_C

Referenced by paso::Preconditioner_LocalAMG_alloc(), paso::Preconditioner_LocalAMG_getCoarseLevelSparsity(), paso::Preconditioner_LocalAMG_getNumCoarseUnknowns(), and paso::Preconditioner_LocalAMG_solve().

## AMG_C

struct Preconditioner_LocalAMG* paso::Preconditioner_LocalAMG::AMG_C

Referenced by paso::Preconditioner_LocalAMG_alloc(), paso::Preconditioner_LocalAMG_free(), paso::Preconditioner_LocalAMG_getCoarseLevelSparsity(), paso::Preconditioner_LocalAMG_getMaxLevel(), paso::Preconditioner_LocalAMG_getNumCoarseUnknowns(), and paso::Preconditioner_LocalAMG_solve().

## b_C

double* paso::Preconditioner_LocalAMG::b_C

Referenced by paso::Preconditioner_LocalAMG_alloc(), paso::Preconditioner_LocalAMG_free(), and paso::Preconditioner_LocalAMG_solve().

## level

dim_t paso::Preconditioner_LocalAMG::level

Referenced by paso::Preconditioner_LocalAMG_alloc(), paso::Preconditioner_LocalAMG_getMaxLevel(), and paso::Preconditioner_LocalAMG_solve().

## P

SparseMatrix_ptr paso::Preconditioner_LocalAMG::P

Referenced by paso::Preconditioner_LocalAMG_alloc(), and paso::Preconditioner_LocalAMG_solve().

## post_sweeps

int paso::Preconditioner_LocalAMG::post_sweeps

Referenced by paso::Preconditioner_LocalAMG_alloc(), and paso::Preconditioner_LocalAMG_solve().

## pre_sweeps

int paso::Preconditioner_LocalAMG::pre_sweeps

Referenced by paso::Preconditioner_LocalAMG_alloc(), and paso::Preconditioner_LocalAMG_solve().

## R

SparseMatrix_ptr paso::Preconditioner_LocalAMG::R

Referenced by paso::Preconditioner_LocalAMG_alloc(), and paso::Preconditioner_LocalAMG_solve().

## r

double* paso::Preconditioner_LocalAMG::r

Referenced by paso::Preconditioner_LocalAMG_alloc(), paso::Preconditioner_LocalAMG_free(), and paso::Preconditioner_LocalAMG_solve().

## refinements

int paso::Preconditioner_LocalAMG::refinements

Referenced by paso::Preconditioner_LocalAMG_alloc(), and paso::Preconditioner_LocalAMG_solve().

## reordering

index_t paso::Preconditioner_LocalAMG::reordering

Referenced by paso::Preconditioner_LocalAMG_alloc(), and paso::Preconditioner_LocalAMG_solve().

## Smoother

Preconditioner_LocalSmoother* paso::Preconditioner_LocalAMG::Smoother

Referenced by paso::Preconditioner_LocalAMG_alloc(), paso::Preconditioner_LocalAMG_free(), and paso::Preconditioner_LocalAMG_solve().

## x_C

double* paso::Preconditioner_LocalAMG::x_C

Referenced by paso::Preconditioner_LocalAMG_alloc(), paso::Preconditioner_LocalAMG_free(), and paso::Preconditioner_LocalAMG_solve().

The documentation for this struct was generated from the following file:

- Preconditioner.h